EDIT - bug #3658

Update Nomenclatural code for datasources
08/23/2013 12:30 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: critical Found in Version:

Description

Currently they create an error for ICBN during start up. However, the data itself should be moved to CDM Preferences anyway.

We finally need to get rid of all NomenclaturalCode information in the datasources (ICdmDataSource, CdmPersistentDatasource,
LocalH2, ...).

Also NomenclaturalCodeAwareDataSource needs to be checked if still needed.

see also #2864, #3744, #3745

Related issues:

Related to EDIT - feature request #5969: Implement CdmPreference reading for ... Closed
Related to EDIT - bug #4461: Ordering in datasources view fails Closed
Related to EDIT - feature request #3958: Handle CDMPreference table Closed

Associated revisions

Revision cb96157e - 10/13/2016 11:52 AM - Andreas Miiller

ref #3658 Update nomenclatural code as CdmPreference (most probable value)

Revision 4b36c12a - 10/13/2016 11:57 AM - Andreas Muller

ref #3658 Update nomenclatural code as CdmPreference (most probable value)

Revision c0248cde - 10/13/2016 01:14 PM - Andreas Miiller

ref #3658 remove nomenclaturalCode from all datasource related classes

e and rename NomenclaturalCodeAwareDataSource

Revision a4947270 - 10/13/2016 01:30 PM - Andreas Miiller

ref #3658 remove nomenclaturalCode

Revision 4bfde47a - 10/18/2016 02:13 PM - Andreas Miiller

ref #3658 further improvements for NomCode update

Revision 5215f59f - 11/10/2016 01:50 PM - Andreas Miiller

ref #3658 remove nomenclatural code from datasources

Revision 10644642 - 11/10/2016 01:50 PM - Andreas Miiller

ref #3658 remove nomenclatural code from datasources

Revision 9e4b94cb - 11/10/2016 01:50 PM - Andreas Miuller

ref #3658 remove nomenclatural code from datasources

Revision b6ee6df4 - 11/15/2016 12:23 PM - Andreas Miiller

fix #6200 Change order of NomenclaturalCodeUpdater and allowOverride adder to avoid null values

History
#1 - 08/23/2013 12:31 PM - Andreas Miiller

- Subject changed from Update ICBN datasources to Update Nomenclatural code for datasources

#2 - 08/26/2013 10:28 PM - Andreas Miiller

- Status changed from New to In Progress

#3 - 09/26/2013 06:58 PM - Andreas Miiller

preliminary bugfix in CdmPersistentDataSource: r19021

#4 - 01/14/2014 10:33 PM - Andreas Miiller

- Status changed from In Progress to New

#5 - 01/14/2014 10:33 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

#6 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release

#7 - 12/16/2014 08:34 PM - Andreas Miiller
- Target version changed from CDM UML - Next major release to COM UML 3.5

#8 - 06/04/2015 02:20 PM - Andreas Miiller
- Target version deleted (CDM UML 3.6)

#9 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#10 - 07/08/2016 08:51 PM - Andreas Miiller
- Priority changed from Highest to Priority13

#11 - 10/07/2016 03:27 PM - Andreas Miiller
- Description updated

- Status changed from New to In Progress

#12 - 10/13/2016 11:48 AM - Andreas Miiller
- % Done changed from 0 to 40

#13 - 10/13/2016 11:49 AM - Andreas Miuller

- Related to feature request #5969: Implement CdmPreference reading for database preferences added

#14 - 10/13/2016 01:15 PM - Andreas Miiller
- % Done changed from 40 to 70

#15 - 10/13/2016 03:39 PM - Andreas Miiller
- Related to bug #4461: Ordering in datasources view fails added

#16 - 10/13/2016 03:45 PM - Andreas Miiller

- Status changed from In Progress to Resolved

#17 - 11/15/2016 02:32 PM - Andreas Miiller
- Related to feature request #3958: Handle CDMPreference table added

#18 - 11/15/2016 02:54 PM - Andreas Miiller

- Status changed from Resolved to Closed
- % Done changed from 70 to 100

#19 - 11/21/2016 01:42 PM - Andreas Miiller

- Private changed from Yes to No
